| AFNIX cross interpreter

axi [client]

Synopsis

Options

h

prints the help message

v

prints the program version

i (path|librarian)

add a directory or librarian to the resolver path

f (assert)

enable assertion checking

f (nopath)

do no set initial path

Description

axi invokes the afnix command line interpreter. Without arguments, the interpreter is invoked interactively. With one or several arguments, the first argument is taken as the file to execute. The rest of the command line is the arguments for the file being executed. With the help of the file resolver, a file does not have to have the `.als` or `.axc` extensions.

Version

The current version is the 1.5.2 release.

See also

axc , axd , axl , axs

Notes

AFNIX comes with an extensive documentation. The documentation is available online or in the `doc` directory in the form of formated xhtml documents or manual pages.

Author

The AFNIX programming language has been devised and implemented by Amaury Darsch .

History

The AFNIX programming language was originally called the Aleph programming language which has been discontinued on January 2005 when the 1.0.0 version was released. More information is available in the manual collection.